%%NAME
%%  etxtread  - read text-file
%%
%%SYNOPSIS
%%  [text,textLength]=etxtread(textFileName)
%%
%%PARAMETER(S)
%%  textFileName  name of textfile
%%  text        sting of text
%%
% written by stefan.mueller@fhr.fraunhofer.de (C) 2010
function [text,textLength]=etxtread(textFileName)
  if nargin>1
    eusage('[text,textLength]=etxtread(textFileName)');
  end
  eglobpar;
  textFile=fopen(textFileName,'rb');
  [text textLength]=fread(textFile,inf,'uchar');
  fclose(textFile);
  text=char(text');
